function OnInit()

	this:SetVisualProfile("~/iso-priest.xml", "isopriest");
	this:LoadCollisionInfo("~/iso-priest.col");
	this:SetCategory(C_CATEGORY_CHARACTER, true);
	this:SetCategory(C_CATEGORY_ENTITY, false);
	this:SetDesiredSpeed(4);
	
end

function OnPostInit()

	this:GetBrainManager():Add("StandardBase","");
	this:GetBrainManager():SetStateByName("Idle");
	this:SetVisibilityNotifications(true);
	m_hp = 50;
	
end

function OnCollision(vPosition, vVelocity, vNormal, depth, materialID, entity, state)
  
return;
end

function OnGetVisible()

	ThinkOfSomethingToDo();

end

function OnLoseVisible()
	GetWatchManager:Add(this, 1000*5);
end

function ThinkOfSomethingToDo()
		
		this:GetGoalManager():RemoveAllSubgoals();
		
		local newgoal = this:GetGoalManager():PushNewGoal("BaseThink");
 	   
		newgoal:PushRunScriptString('ThinkOfSomethingToDo();'); 	    
 	    newgoal:PushDelay(1000);
 	    newgoal = this:GetGoalManager():PushNewGoal("Roam");
		
 	    LookAtTrees(newgoal, "Tree" .. math.random(4));

end

function LookAtTrees(goal, name)

       goal:AddApproach(GetEntityIDByName(name), C_DISTANCE_TALK);   

end

function OnDamage(normal, depth, enemy, damage, userVar, projectile)

	pushVec = this:GetPos() - enemy:GetPos();
	pushVec:Normalize();

	this:AddForce(pushVec * damage*2);
	
	 if (m_hp <= 0) then
	 	--//already dead
	 	return;
 	end

	m_hp = m_hp - damage;
	GetTextManager:AddCustom(tostring(damage), this, this:GetPos(), Vector2(0, -0.3), Color(200,0,0,255), 2000, C_FONT_DEFAULT);
	this:GetBrainManager():Add("ColorFlash", "pulse_rate=200;g=-200;b=-200;remove_brain_by_pulses=1");
 
	if (m_hp <= 0) then
  --//kill it
	  
	else
		--GetSoundManager:Play("audio/bug_attack.ogg");
	end

end  
